function series = normalize_value(series)
% Keep original value and convert "NA" to NaN (or user specified value). 
% Modifies `series`
if iscell(series.value)
    series.original_value = series.value;
    value = series.value;
    for ii = 1:length(value)
        if strcmp(value{ii}, 'NA')
            value{ii} = NaN;
        end
    end
    series.value = value;
else
    series.original_value = num2cell(series.value);
    series.value = num2cell(series.value);
end
end
