function test_fetch_series_by_code_mask_with_plus_in_dimension_code()
df = fetch_series('provider_code', "SCB", 'dataset_code', "AKIAM", 'series_code', '"J+K"+"G+H".AM0301C1');

idx = find(strcmp('provider_code',df(1,:)));
provider_codes = unique(df(2:end,idx));
assert(length(provider_codes)==1);
assert(provider_codes{1} == "SCB");

idx = find(strcmp('dataset_code',df(1,:)));
dataset_codes = unique(df(2:end,idx));
assert(length(dataset_codes) == 1);
assert(dataset_codes{1} == "AKIAM");

idx = find(strcmp('series_code',df(1,:)));
series_codes = unique(df(2:end,idx));
check = {'J+K.AM0301C1', 'G+H.AM0301C1'}';  
logA = cell2mat(cellfun(@(c)strcmp(c,series_codes),check,'UniformOutput',false));
assert(sum(logA)==2);
end