function test_fetch_series_with_na_values()
df = fetch_series('provider_code', "AMECO", 'dataset_code', "ZUTN", 'series_code', "DEU.1.0.0.0.ZUTN");

idx = find(strcmp('provider_code',df(1,:)));
provider_codes = unique(df(2:end,idx));
assert(length(provider_codes)==1);
assert(provider_codes{1} == "AMECO");

idx = find(strcmp('dataset_code',df(1,:)));
dataset_codes = unique(df(2:end,idx));
assert(length(dataset_codes) == 1);
assert(dataset_codes{1} == "ZUTN");

idx = find(strcmp('series_code',df(1,:)));
series_codes = unique(df(2:end,idx));
assert(series_codes{1} == "DEU.1.0.0.0.ZUTN");

idx = find(strcmp('original_value',df(1,:)));
assert(any(strcmp('NA', df(2:end,idx))) == true);

idx = find(strcmp('value',df(1,:)));
assert(any(isnan(cell2mat(df(2:end,idx)))) == true);
end